<?xml version='1.0' encoding='utf-8'?>

<creole>
    <files>
        <file filelist='wpkg' name='/home/wpkg/settings.xml'/>
        <file filelist='wpkg' name='/home/wpkg/wpkg-gp.ini'/>
    </files>
    <variables>
        <family name='wpkg client' icon='th-large'>
            <variable name='wpkg_address' type='string' description='Adresse du serveur de fichiers'/>
            <variable name='wpkgcli_file' type='string' description='file'/>
            <variable name='wpkgcli_parameters' type='string' description='parameters' >
                <value>/synchronize /nonotify /quiet</value>
            </variable>
            <variable name='wpkgcli_path_user' type='string' description='path-user' />
            <variable name='wpkgcli_path_password' type='string' description='path-password' />
            <variable name='wpkgcli_net_use_machine_account' type='string' description='net-use-machine-account' >
                <value>NO</value>
            </variable>
            <variable name='wpkgcli_exec_user' type='string' description='exec-user' >
                <value>SYSTEM</value>
            </variable>
            <variable name='wpkgcli_exec_password' type='string' description='exec-password' />
            <variable name='wpkgcli_silent' type='string' description='silent' >
                <value>YES</value>
            </variable>

            <variable name='wpkgcli_script_variable_name' type='string' description='script-variable (name)' multi='True' >
                <value>SOFTWARE</value>
            </variable>
            <variable name='wpkgcli_script_variable_val' type='string' description='script-variable (value)' />
            <variable name='wpkgcli_pre_action' type='string' description='pre-action' />
            <variable name='wpkgcli_post_action' type='string' description='post-action' />
            <variable name='wpkgcli_show_GUI' type='string' description='show-GUI' >
                <value>NO</value>
            </variable>

            <variable name='wpkgcli_run_on_shutdown' type='string' description='run-on-shutdown' >
                <value>NO</value>
            </variable>
            <variable name='wpkgcli_logon_delay' type='number' description='logon-delay' >
                <value>1</value>
            </variable>
            <variable name='wpkgcli_shutdown_delay' type='number' description='shutdown-delay' >
                <value>10</value>
            </variable>
            <variable name='wpkgcli_logon_interrupt_password' type='string' description='logon-interrupt-password' />
            <variable name='wpkgcli_logon_message_title' type='string' description='logon-message-title' >
                <value>Déploiement d'application WPKG</value>
            </variable>
            <variable name='wpkgcli_logon_message_logo_picture' type='string' description='logon-message-logo-picture' />
            <variable name='wpkgcli_logon_message_1' type='string' description='logon-message-1' >
                <value>WPKG installe les applications et applique les paramètres...</value>
            </variable>
            <variable name='wpkgcli_logon_message_2' type='string' description='logon-message-2' >
                <value>Veuillez patienter et ne pas redémarrer votre ordinateur...</value>
            </variable>

            <variable name='wpkgcli_priority' type='string' description='priority' >
                <value>normal</value>
            </variable>
            <variable name='wpkgcli_stop_service_after_done' type='string' description='stop-service-after-done' >
                <value>YES</value>
            </variable>
            <variable name='wpkgcli_log_file' type='string' description='log-file' />

            <variable name='wpkgcli_laptop_mode' type='string' description='laptop-mode' >
                <value>NO</value>
            </variable>
            <variable name='wpkgcli_server_connecting_method' type='string' description='server-connecting-method' >
                <value>standard</value>
            </variable>
            <variable name='wpkgcli_server_connecting_ip' type='string' description='server-connecting-ip' />
            <variable name='wpkgcli_server_connecting_timeout' type='number' description='server-connecting-timeout' >
                <value>3</value>
            </variable>
            <variable name='wpkgcli_server_connecting_script_file' type='string' description='server-connecting-script-file' />
            <variable name='wpkgcli_server_connecting_script_timeout' type='number' description='server-connecting-script-timeout' >
                <value>3</value>
            </variable>
        </family>
        <separators>
            <separator name='wpkgcli_file'>Path, users</separator>
            <separator name='wpkgcli_script_variable_name'>Variables, actions</separator>
            <separator name='wpkgcli_run_on_shutdown'>Logon settings</separator>
            <separator name='wpkgcli_priority'>Misc settings</separator>
            <separator name='wpkgcli_laptop_mode'>Offline mode settings</separator>
        </separators>
    </variables>
    <constraints>
        <auto name='calc_multi_condition' target='wpkg_address'>
            <param>non</param>
            <param type='eole' name='condition_1'>mode_conteneur_actif</param>
            <param type='eole' name='match'>adresse_ip_eth0</param>
            <param type='eole' name='mismatch' optional='True' hidden='False'>adresse_ip_fichier_link</param>
        </auto>
        <fill name="concat" target='wpkgcli_file'>
            <param name='valeur1'>\\</param>
            <param type='eole' name='valeur2'>wpkg_address</param>
            <param name='valeur3'>\wpkg\wpkg.js</param>
        </fill>
        <fill name="concat" target='wpkgcli_script_variable_val'>
            <param name='valeur1'>\\</param>
            <param type='eole' name='valeur2'>wpkg_address</param>
            <param name='valeur3'>\wpkg\softwares</param>
        </fill>
        <fill name="concat" target='wpkgcli_pre_action'>
            <param name='valeur1'>\\</param>
            <param type='eole' name='valeur2'>wpkg_address</param>
            <param name='valeur3'>\wpkg\tools\preinstall.bat</param>
        </fill>
        <fill name="concat" target='wpkgcli_post_action'>
            <param name='valeur1'>\\</param>
            <param type='eole' name='valeur2'>wpkg_address</param>
            <param name='valeur3'>\wpkg\tools\postinstall.bat</param>
        </fill>

        <check name='valid_enum' target='wpkgcli_net_use_machine_account'>
            <param>['YES','NO']</param>
        </check>
        <check name='valid_enum' target='wpkgcli_silent'>
            <param>['YES','NO']</param>
        </check>
        <check name='valid_enum' target='wpkgcli_show_GUI'>
            <param>['YES','NO']</param>
        </check>
        <check name='valid_enum' target='wpkgcli_stop_service_after_done'>
            <param>['YES','NO']</param>
        </check>
        <check name='valid_enum' target='wpkgcli_laptop_mode'>
            <param>['YES','NO']</param>
        </check>
        <check name='valid_enum' target='wpkgcli_run_on_shutdown'>
            <param>['YES','NO']</param>
        </check>
        <group master='wpkgcli_script_variable_name'>
            <slave>wpkgcli_script_variable_val</slave>
        </group>
    </constraints>
    <help>
    </help>
</creole>
